//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop
// ==========================================================================
// File:            TDDCaps.CPP
// Description:
//
// (c) 1998 A.S.C. Alternate Software Concepts, Sydney, Australia.
// All Rights Reserved. Refer to the file TDirectX_Licence.Txt for detailed
// licence & copyright information.
// ==========================================================================

// --------------------------------------------------------------------------
// include the TDDCaps H file
// --------------------------------------------------------------------------
#include "TDDCaps.h"

// ==========================================================================
// Class:           TDDCaps
// Description:     This object represents the capabilities of the hardware
//                  exposed through the TDirectDraw object
// Note:            This object contains a TDDSCaps object used in this
//                  context to describe what kinds of TDirectDrawSurface
//                  objects can be created. It may not be possible to
//                  simultaneously create all of the surfaces described by
//                  these capabilities.
//                  This object is used with the TDirectDraw::GetCaps method
// ==========================================================================

// --------------------------------------------------------------------------
// Constructor
// --------------------------------------------------------------------------
                    __fastcall  TDDCaps::TDDCaps() : TPersistent()
{
//ShowMessage("Creating: TDDCaps");
fCaps.dwSize = sizeof(DDCAPS);
}

// --------------------------------------------------------------------------
// Destructor
//---------------------------------------------------------------------------
                    __fastcall  TDDCaps::~TDDCaps()
{
//ShowMessage("Destroying: TDDCaps");
}

// --------------------------------------------------------------------------
// Method:          Size
// Description:     This returns the size of the internal DDCAPS structure
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::Size()
{
return sizeof(DDCAPS);
}

// --------------------------------------------------------------------------
// Method:          Ptr
// Description:     This method returns a pointer to the internal DDCAPS
//                  structure
//---------------------------------------------------------------------------
DDCAPS*             __fastcall  TDDCaps::Ptr()
{
return &fCaps;
}

// --------------------------------------------------------------------------
// Method:          FGetCaps
// Description:     Returns the driver specific capabilities
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetCaps()
{
return fCaps.dwCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetCaps                                                    //added Set
// Description:     Sets the driver specific capabilities
//---------------------------------------------------------------------------
void               __fastcall  TDDCaps::FSetCaps( dword pCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetCaps2
// Description:     Returns more driver specific capabilities
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetCaps2()
{
return fCaps.dwCaps2;
}

// --------------------------------------------------------------------------
// Method:          FSetCaps2                                                   //added Set
// Description:     Set more of the driver specific capabilities
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetCaps2( dword pCaps2 )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetCKeyCaps
// Description:     Returns the color key capabilities
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetCKeyCaps()
{
return fCaps.dwCKeyCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetCKeyCaps                                                //added Set
// Description:     Sets the color key capabilities
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetCKeyCaps( dword pCKeyCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetFXCaps
// Description:     Returns the  driver specific stretching and effects
//                  capabilities
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetFXCaps()
{
return fCaps.dwFXCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetFXCaps                                                  //added Set
// Description:     Sets driver specific stretching and effects capabilities
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetFXCaps( dword pFXCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetFXAlphaCaps
// Description:     Returns the driver specific alpha capabilities
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetFXAlphaCaps()
{
return fCaps.dwFXAlphaCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetFXAlphaCaps                                             //added Set
// Description:     Sets the driver specific alpha capabilities
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetFXAlphaCaps( dword
                                                            pFXAlphaCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetPalCaps
// Description:     Returns the palette capabilities
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetPalCaps()
{
return fCaps.dwPalCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetPalCaps                                                 //added Set
// Description:     Sets the palette capabilities
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetPalCaps( dword pPalCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetSVCaps
// Description:     Returns the stereo vision capabilities
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetSVCaps()
{
return fCaps.dwSVCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetSVCaps                                                  //added Set
// Description:     Sets the stereo vision capabilities
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetSVCaps( dword pSVCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetAlphaBltConstBitDepths
// Description:     Returns DDBD_2, DDBD_4 or DDBD_8
// Note:            Indicates 2, 4 or 8 bits per pixel
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetAlphaBltConstBitDepths()
{
return fCaps.dwAlphaBltConstBitDepths;
}

// --------------------------------------------------------------------------
// Method:          FSetAlphaBltConstBitDepths                                  //added Set
// Description:     Sets DDBD_2, DDBD_4 or DDBD_8
// Note:            Indicates 2, 4 or 8 bits per pixel
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetAlphaBltConstBitDepths( dword
                                                    pAlphaBltConstBitDepths )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetAlphaBltPixelBitDepths
// Description:     Returns DDBD_1, DDBD_2, DDBD_4 or DDBD_8
// Note:            Indicates 1, 2, 4 or 8 bits per pixel
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetAlphaBltPixelBitDepths()
{
return fCaps.dwAlphaBltPixelBitDepths;
}

// --------------------------------------------------------------------------
// Method:          FSetAlphaBltPixelBitDepths                                  //added Set
// Description:     Sets DDBD_1, DDBD_2, DDBD_4 or DDBD_8
// Note:            Indicates 1, 2, 4 or 8 bits per pixel
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetAlphaBltPixelBitDepths( dword
                                                    pAlphaBltPixelBitDepths )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetAlphaBltSurfaceBitDepths
// Description:     Returns DDBD_1, DDBD_2, DDBD_4 or DDBD_8
// Note:            Indicates 1, 2, 4 or 8 bits per pixel
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetAlphaBltSurfaceBitDepths()
{
return fCaps.dwAlphaBltSurfaceBitDepths;
}

// --------------------------------------------------------------------------
// Method:          FSetAlphaBltSurfaceBitDepths                                //added Set
// Description:     Sets DDBD_1, DDBD_2, DDBD_4 or DDBD_8
// Note:            Indicates 1, 2, 4 or 8 bits per pixel
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetAlphaBltSurfaceBitDepths( dword
                                                pAlphaBltSurfaceBitDepths )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetAlphaOverlayConstBitDepths
// Description:     Returns DDBD_2, DDBD_4 or DDBD_8
// Note:            Indicates 2, 4 or 8-bits per pixel
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetAlphaOverlayConstBitDepths()
{
return fCaps.dwAlphaOverlayConstBitDepths;
}

// --------------------------------------------------------------------------
// Method:          FSetAlphaOverlayConstBitDepths                              //added Set
// Description:     Sets DDBD_2, DDBD_4 or DDBD_8
// Note:            Indicates 2, 4 or 8-bits per pixel
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetAlphaOverlayConstBitDepths(
                                        dword pAlphaOverlayConstBitDepths )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetAlphaOverlayPixelBitDepths
// Description:     Returns DDBD_1, DDBD_2, DDBD_4 or DDBD_8
// Note:            Indicates 1, 2, 4, or 8 bits per pixel
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetAlphaOverlayPixelBitDepths()
{
return fCaps.dwAlphaOverlayPixelBitDepths;
}

// --------------------------------------------------------------------------
// Method:          FSetAlphaOverlayPixelBitDepths                              //added Set
// Description:     Sets DDBD_1, DDBD_2, DDBD_4 or DDBD_8
// Note:            Indicates 1, 2, 4, or 8 bits per pixel
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetAlphaOverlayPixelBitDepths(
                                        dword pAlphaOverlayPixelBitDepths )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetAlphaOverlaySurfaceBitDepths
// Description:     Returns DDBD_1, DDBD_2, DDBD_4 or DDBD_8
// Note:            Indicates 1, 2, 4 or 8 bits per pixel
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetAlphaOverlaySurfaceBitDepths
                                                                        ()
{
return fCaps.dwAlphaOverlaySurfaceBitDepths;
}

// --------------------------------------------------------------------------
// Method:          FSetAlphaOverlaySurfaceBitDepths                            //added Set
// Description:     Sets DDBD_1, DDBD_2, DDBD_4 or DDBD_8
// Note:            Indicates 1, 2, 4 or 8 bits per pixel
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetAlphaOverlaySurfaceBitDepths (
                                        dword pAlphaOverlaySurfaceBitDepths )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetZBufferBitDepths
// Description:     Returns DDBD_8, DDBD_16 or DDBD_24
// Note:            Indicates 8, 16, 24 bits per pixel. 32 bit z-buffers
//                  are not supported
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetZBufferBitDepths()
{
return fCaps.dwZBufferBitDepths;
}

// --------------------------------------------------------------------------
// Method:          FSetZBufferBitDepths                                        //added Set
// Description:     Sets DDBD_8, DDBD_16 or DDBD_24
// Note:            Indicates 8, 16, 24 bits per pixel. 32 bit z-buffers
//                  are not supported
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetZBufferBitDepths( dword
                                                        pZBufferBitDepths )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetVidMemTotal
// Description:     Returns the total video memory size
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetVidMemTotal()
{
return fCaps.dwVidMemTotal;
}

// --------------------------------------------------------------------------
// Method:          FSetVidMemTotal                                             //added Set
// Description:     Sets the total video memory size
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetVidMemTotal( dword
                                                            pVidMemTotal )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetVidMemFree
// Description:     Returns the amount of free video memory
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetVidMemFree()
{
return fCaps.dwVidMemFree;
}

// --------------------------------------------------------------------------
// Method:          FSetVidMemFree                                              //added Set
// Description:     Sets the amount of free video memory
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetVidMemFree( dword pVidMemFree )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetMaxVisibleOverlays
// Description:     Returns the maximum number of visible overlays
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetMaxVisibleOverlays()
{
return fCaps.dwMaxVisibleOverlays;
}

// --------------------------------------------------------------------------
// Method:          FSetMaxVisibleOverlays                                      //added Set
// Description:     Sets the maximum number of visible overlays
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetMaxVisibleOverlays( dword
                                                        pMaxVisibleOverlays)
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetCurrVisibleOverlays
// Description:     Returns the current number of visible overlays
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetCurrVisibleOverlays()
{
return fCaps.dwCurrVisibleOverlays;
}

// --------------------------------------------------------------------------
// Method:          FSetCurrVisibleOverlays                                     //added Set
// Description:     Sets the current number of visible overlays
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetCurrVisibleOverlays( dword
                                                    pCurrVisibleOverlays )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetNumFourCCCodes
// Description:     Returns the number of FourCC codes
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetNumFourCCCodes()
{
return fCaps.dwNumFourCCCodes;
}

// --------------------------------------------------------------------------
// Method:          FSetNumFourCCCodes                                          //added Set
// Description:     Sets the number of FourCC codes
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetNumFourCCCodes( dword
                                                            pNumFourCCCodes )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetAlignBoundarySrc
// Description:     Returns the source rectangle alignment for an overlay
//                  surface, in pixels
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetAlignBoundarySrc()
{
return fCaps.dwAlignBoundarySrc;
}

// --------------------------------------------------------------------------
// Method:          FSetAlignBoundarySrc                                        //added Set
// Description:     Sets the source rectangle alignment for an overlay
//                  surface, in pixels
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetAlignBoundarySrc( dword
                                                        pAlignBoundarySrc )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetAlignSizeSrc
// Description:     Returns the source rectangle size alignment for an
//                  overlay surface, in pixels
// Note:            Overlay source rectangles must have a pixel width that is
//                  a multiple of this value
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetAlignSizeSrc()
{
return fCaps.dwAlignSizeSrc;
}

// --------------------------------------------------------------------------
// Method:          FSetAlignSizeSrc                                            //added Set
// Description:     Sets the source rectangle size alignment for an overlay
//                  surface, in pixels
// Note:            Overlay source rectangles must have a pixel width that is
//                  a multiple of this value
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetAlignSizeSrc( dword
                                                            pAlignSizeSrc )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetAlignBoundaryDest
// Description:     Returns the destination rectangle alignment for an
//                  overlay surface, in pixels
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetAlignBoundaryDest()
{
return fCaps.dwAlignBoundaryDest;
}

// --------------------------------------------------------------------------
// Method:          FSetAlignBoundaryDest                                       //added Set
// Description:     Sets the destination rectangle alignment for an overlay
//                  surface, in pixels
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetAlignBoundaryDest( dword
                                                        pAlignBoundaryDest )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetAlignSizeDest
// Description:     Returns the destination rectangle alignment for an
//                  overlay surface, in pixels
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetAlignSizeDest()
{
return fCaps.dwAlignSizeDest;
}

// --------------------------------------------------------------------------
// Method:          FSetAlignSizeDest                                           //added Set
// Description:     Sets the destination rectangle alignment for an overlay
//                  surface, in pixels
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetAlignSizeDest( dword
                                                            pAlignSizeDest )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetAlignStrideAlign
// Description:     Returns the stride alignment
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetAlignStrideAlign()
{
return fCaps.dwAlignStrideAlign;
}

// --------------------------------------------------------------------------
// Method:          FSetAlignStrideAlign                                        //added Set
// Description:     Sets the stride alignment
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetAlignStrideAlign( dword
                                                        pAlignStrideAlign )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetRops
// Description:     Returns the raster operations that are supported
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetRops( int index )
{
return fCaps.dwRops[index];
}

/*
// --------------------------------------------------------------------------
// Method:          FSetRops                                                    //added Set
// Description:     Sets the raster operations that are supported
// --------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetRops( dword pRops, int index )
{
return;
}
*/

// --------------------------------------------------------------------------
// Method:          FGetSurfaceCaps
// Description:     Returns the TSurfaceCaps object
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetSurfaceCaps()
{
return 0;//TDDSCaps_Caps();//ToDDSCapsCaps(fCaps.ddsCaps);  // not working
}

// --------------------------------------------------------------------------
// Method:          FSetSurfaceCaps                                             //added Set
// Description:     Sets the TSurfaceCaps object
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetSurfaceCaps( dword
                                                            pSurfaceCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetMinOverlayStretch
// Description:     Returns minimum overlay stretch factor multiplied by 1000
// Note:            Example: 1.3 = 1300, .75 = 750
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetMinOverlayStretch()
{
return fCaps.dwMinOverlayStretch;
}

// --------------------------------------------------------------------------
// Method:          FSetMinOverlayStretch                                       //added Set
// Description:     Sets minimum overlay stretch factor multiplied by 1000
// Note:            Example: 1.3 = 1300, .75 = 750
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetMinOverlayStretch( dword
                                                        pMinOverlayStretch )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetMaxOverlayStretch
// Description:     Returns maximum overlay stretch factor multiplied by 1000
// Note:            Example: 1.3 = 1300, .75 = 750
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetMaxOverlayStretch()
{
return fCaps.dwMaxOverlayStretch;
}

// --------------------------------------------------------------------------
// Method:          FSetMaxOverlayStretch                                       //added Set
// Description:     Sets maximum overlay stretch factor multiplied by 1000
// Note:            Example: 1.3 = 1300, .75 = 750
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetMaxOverlayStretch( dword
                                                        pMaxOverlayStretch )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetSVBCaps
// Description:     Returns driver specific capabilities for system memory to
//                  display memory blits
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetSVBCaps()
{
return fCaps.dwSVBCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetSVBCaps                                                 //added Set
// Description:     Sets driver specific capabilities for system memory to
//                  display memory blits
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetSVBCaps( dword pSVBCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetSVBCKeyCaps
// Description:     Returns driver color-key capabilities for system memory
//                  to display memory blits
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetSVBCKeyCaps()
{
return fCaps.dwSVBCKeyCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetSVBCKeyCaps                                             //added Set
// Description:     Sets driver color-key capabilities for system memory
//                  to display memory blits
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetSVBCKeyCaps( dword
                                                            pSVBCKeyCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetSVBFXCaps
// Description:     Returns driver FX capabilities for system memory to
//                  display memory blits
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetSVBFXCaps()
{
return fCaps.dwSVBFXCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetSVBFXCaps                                               //added Set
// Description:     Sets driver FX capabilities for system memory to display
//                  memory blits
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetSVBFXCaps( dword pSVBFXCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetSVBRops
// Description:     Returns raster operations supported for system memory to
//                  display memory blits
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetSVBRops( int index )
{
return fCaps.dwSVBRops[index];
}

/*
// --------------------------------------------------------------------------
// Method:          FSetSVBRops                                                 //added Set
// Description:     Sets raster operations supported for system memory to
//                  display memory blits
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetSVBRops( dword pSVBRops,
                                                                int index )
{
return;
}
*/

// --------------------------------------------------------------------------
// Method:          FGetVSBCaps
// Description:     Returns the driver specific capabilities for display
//                  memory to system memory blits
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetVSBCaps()
{
return fCaps.dwVSBCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetVSBCaps                                                 //added Set
// Description:     Sets the driver specific capabilities for display
//                  memory to system memory blits
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetVSBCaps( dword pVSBCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetVSBCKeyCaps
// Description:     Returns driver color-key capabilities for display memory
//                  to system memory blits
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetVSBCKeyCaps()
{
return fCaps.dwVSBCKeyCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetVSBCKeyCaps                                             //added Set
// Description:     Sets driver color-key capabilities for display memory
//                  to system memory blits
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetVSBCKeyCaps( dword
                                                            pVSBCKeyCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetVSBFXCaps
// Description:     Returns the driver FX capabilities for display memory to
//                  system memory blits
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetVSBFXCaps()
{
return fCaps.dwVSBFXCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetVSBFXCaps                                               //added Set
// Description:     Sets the driver FX capabilities for display memory to
//                  system memory blits
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetVSBFXCaps( dword pVSBFXCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetVSBRops
// Description:     Returns the raster operations supported for display
//                  memory to system memory blits
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetVSBRops( int index )
{
return fCaps.dwVSBRops[index];
}

/*
// --------------------------------------------------------------------------
// Method:          FSetVSBRops                                                 //added Set
// Description:     Sets the raster operations supported for display
//                  memory to system memory blits
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetVSBRops( dword pVSBRops,
                                                                int index )
{
return;
}
*/

// --------------------------------------------------------------------------
// Method:          FGetSSBCaps
// Description:     Returns driver specific capabilities for system memory to
//                  system memory blits
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetSSBCaps()
{
return fCaps.dwSSBCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetSSBCaps                                                 //added Set
// Description:     Sets driver specific capabilities for system memory to
//                  system memory blits
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetSSBCaps( dword pSSBCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetSSBCKeyCaps
// Description:     Returns driver color-key capabilities for system memory
//                  to system memory blits
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetSSBCKeyCaps()
{
return fCaps.dwSSBCKeyCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetSSBCKeyCaps                                             //added Set
// Description:     Sets driver color-key capabilities for system memory
//                  to system memory blits
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetSSBCKeyCaps( dword
                                                            pSSBCKeyCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetSSBFXCaps
// Description:     Returns driver FX capabilities for system memory to
//                  system memory blits
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetSSBFXCaps()
{
return fCaps.dwSSBFXCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetSSBFXCaps                                               //added Set
// Description:     Sets driver FX capabilities for system memory to
//                  system memory blits
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetSSBFXCaps( dword pSSBFXCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetSSBRops
// Description:     Returns raster operations supported for system memory to
//                  system memory blits
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetSSBRops( int index )
{
return fCaps.dwSSBRops[index];
}

/*
// --------------------------------------------------------------------------
// Method:          FSetSSBRops                                                 //added Set
// Description:     Sets raster operations supported for system memory to
//                  system memory blits
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FGetSSBRops( dword pSSBRops,
                                                                int index )
{
return;
}
*/

// --------------------------------------------------------------------------
// Method:          FGetMaxVideoPorts
// Description:     Returns the maximum number of live video ports
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetMaxVideoPorts()
{
return fCaps.dwMaxVideoPorts;
}

// --------------------------------------------------------------------------
// Method:          FSetMaxVideoPorts                                           //added Set
// Description:     Sets the maximum number of live video ports
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetMaxVideoPorts( dword
                                                            pMaxVideoPorts )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetCurrVideoPorts
// Description:     Returns the current number of live video ports
//---------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetCurrVideoPorts()
{
return fCaps.dwCurrVideoPorts;
}

// --------------------------------------------------------------------------
// Method:          FSetCurrVideoPorts                                          //added Set
// Description:     Sets the current number of live video ports
// --------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetCurrVideoPorts( dword
                                                            pCurrVideoPorts )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetSVBCaps2
// Description:     Returns more driver specific capabilities for system
//                  memory to video memory blits
// --------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetSVBCaps2()
{
return fCaps.dwSVBCaps2;
}

// --------------------------------------------------------------------------
// Method:          FSetSVBCaps2                                                //added Set
// Description:     Sets more driver specific capabilities for system
//                  memory to video memory blits
// --------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetSVBCaps2( dword pSVBCaps2 )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetNLVBCaps
// Description:     Returns driver-specific capabilities for nonlocal to
//                  local video memory blits
// --------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetNLVBCaps()
{
return fCaps.dwNLVBCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetNLVBCaps                                                //added Set
// Description:     Sets driver-specific capabilities for nonlocal to
//                  local video memory blits
// --------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetNLVBCaps( dword pNLVBCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetNLVBCaps2
// Description:     Returns more driver specific capabilities for nonlocal to
//                  local video memory blits
// --------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetNLVBCaps2()
{
return fCaps.dwNLVBCaps2;
}

// --------------------------------------------------------------------------
// Method:          FSetNLVBCaps2                                               //added Set
// Description:     Sets more driver specific capabilities for nonlocal to
//                  local video memory blits
// --------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetNLVBCaps2( dword pNLVBCaps2 )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetNLVBCKeyCaps
// Description:     Returns driver color-key capabilities for nonlocal to
//                  local video memory blits
// --------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetNLVBCKeyCaps()
{
return fCaps.dwNLVBCKeyCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetNLVBCKeyCaps                                            //added Set
// Description:     Sets driver color-key capabilities for nonlocal to
//                  local video memory blits
//---------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetNLVBCKeyCaps( dword
                                                            pNLVBCKeyCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetNLVBFXCaps
// Description:     Returns driver FX capabilities for nonlocal to local
//                  video memory blits
// --------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetNLVBFXCaps()
{
return fCaps.dwNLVBFXCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetNLVBFXCaps                                              //added Set
// Description:     Sets driver FX capabilities for nonlocal to local
//                  video memory blits
// --------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetNLVBFXCaps( dword pNLVBFXCaps )
{
return;
}


// --------------------------------------------------------------------------
// Method:          FGetNLVBRops
// Description:     Returns the raster operations supported for nonlocal to
//                  local video memory blits
// --------------------------------------------------------------------------
dword               __fastcall  TDDCaps::FGetNLVBRops( int index )
{
return fCaps.dwNLVBRops[index];
}

/*
// --------------------------------------------------------------------------
// Method:          FSetNLVBRops                                                //added Set
// Description:     Sets the raster operations supported for nonlocal to
//                  local video memory blits
// --------------------------------------------------------------------------
void                __fastcall  TDDCaps::FSetNLVBRops( dword pNLVBRops,
                                                                int index )
{
return fCaps.dwNLVBRops[index];
}
*/

// --------------------------------------------------------------------------

