// --------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

// ==========================================================================
// File:            TDDVideoPortCaps.CPP
// Description:
//
// (c) 1998 A.S.C. Alternate Software Concepts, Sydney, Australia.
// All Rights Reserved. Refer to the file TDirectX_Licence.Txt for detailed
// licence & copyright information.
// ==========================================================================

// --------------------------------------------------------------------------
// include the TDDBltBatch H file.
// --------------------------------------------------------------------------
#include "TDDVideoPortCaps.h"

// ==========================================================================
// Class:           TDDBltBatch
// Description:     This object is a BCB-style wrapper for the DirectX
//                  DDBLTBATCH structure
// Notes:           By setting the various properties of a TDDBltBatch object
//                  you can specify the type of blit operations to be
//                  performed when calling the TDirectDrawSurface::BltBatch()
//                  method.
// ==========================================================================

// --------------------------------------------------------------------------
// Constructor
// --------------------------------------------------------------------------
                    __fastcall  TDDVideoPortCaps::TDDVideoPortCaps()
                                                            : TPersistent()
{
fVideoPortCaps.dwSize = sizeof(DDVIDEOPORTCAPS);
}

// --------------------------------------------------------------------------
// Destructor
// --------------------------------------------------------------------------
__fastcall  TDDVideoPortCaps::~TDDVideoPortCaps()
{
}

// --------------------------------------------------------------------------
// Method:          Size
// Description:     This returns the size of the internal DDVIDEOPORTCAPS
//                  structure.
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortCaps::Size()
{
return sizeof(DDVIDEOPORTCAPS);
}

// --------------------------------------------------------------------------
// Method:          Ptr
// Description:     This method returns a pointer to the internal
//                  DDVIDEOPORTCAPS structure.
// --------------------------------------------------------------------------
DDVIDEOPORTCAPS*    __fastcall  TDDVideoPortCaps::Ptr()
{
return &fVideoPortCaps;
}

// --------------------------------------------------------------------------
// Method:          FGetFlags
// Description:     Returns the flag values indicating the fields that
//                  contain valid data
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortCaps::FGetFlags()
{
return fVideoPortCaps.dwFlags;
}

// --------------------------------------------------------------------------
// Method:          FSetFlags                                                   //added set
// Description:     Sets the flag values indicating the fields that
//                  contain valid data
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortCaps::FSetFlags( dword
                                                                pSetFlags )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetMaxWidth
// Description:     Returns the maximum width of the video port field
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortCaps::FGetMaxWidth()
{
return fVideoPortCaps.dwMaxHeight;
}

// --------------------------------------------------------------------------
// Method:          FSetMaxWidth                                                //added set
// Description:     Sets the maximum width of the video port field
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortCaps::FSetMaxWidth( dword
                                                                pMaxWidth )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetMaxVBIWidth
// Description:     Returns the maximum width of the VBI data
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortCaps::FGetMaxVBIWidth()
{
return fVideoPortCaps.dwMaxVBIWidth;
}

// --------------------------------------------------------------------------
// Method:          FSetMaxVBIWidth                                             //added set
// Description:     Sets the maximum width of the VBI data
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortCaps::FSetMaxVBIWidth( dword
                                                            pMaxVBIWidth )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetMaxHeight
// Description:     Returns the maximum height of the video port field
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortCaps::FGetMaxHeight()
{
return fVideoPortCaps.dwMaxHeight;
}

// --------------------------------------------------------------------------
// Method:          FSetMaxHeight                                               //added set
// Description:     Sets the maximum height of the video port field
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortCaps::FSetMaxHeight( dword
                                                                pMaxHeight )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetVideoPortID
// Description:     Returns the zero based index identifying the video port
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortCaps::FGetVideoPortID()
{
return fVideoPortCaps.dwVideoPortID;
}

// --------------------------------------------------------------------------
// Method:          FSetVideoPortID                                             //added set
// Description:     Sets the zero based index identifying the video port
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortCaps::FSetVideoPortID( dword
                                                            pVideoPortID )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetCaps
// Description:     Returns the video port capabilities
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortCaps::FGetCaps()
{
return fVideoPortCaps.dwCaps;
}

// --------------------------------------------------------------------------
// Method:          FSetCaps                                                    //added set
// Description:     Sets the video port capabilities
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortCaps::FSetCaps( dword pCaps )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetFX
// Description:     Returns additional video port capabilities
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortCaps::FGetFX()
{
return fVideoPortCaps.dwFX;
}

// --------------------------------------------------------------------------
// Method:          FSetFX                                                      //added set
// Description:     Sets additional video port capabilities
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortCaps::FSetFX( dword pFX )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetNumAutoFlipSurfaces
// Description:     Returns the number of autoflippable surfaces supported by
//                  the video port
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortCaps::FGetNumAutoFlipSurfaces()
{
return fVideoPortCaps.dwNumAutoFlipSurfaces;
}

// --------------------------------------------------------------------------
// Method:          FSetNumAutoFlipSurfaces                                     //added set
// Description:     Sets the number of autoflippable surfaces supported by
//                  the video port
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortCaps::FSetNumAutoFlipSurfaces(
                                                dword pNumAutoFlipSurfaces )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetAlignVideoPortBoundary
// Description:     Returns the byte restriction of placement within the
//                  surface
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortCaps::
                                                FGetAlignVideoPortBoundary()
{
return fVideoPortCaps.dwAlignVideoPortBoundary;
}

// --------------------------------------------------------------------------
// Method:          FSetAlignVideoPortBoundary                                  //added set
// Description:     Sets the byte restriction of placement within the
//                  surface
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortCaps::
                                            FSetAlignVideoPortBoundary( dword
                                                    pAlignVideoPortBoundary )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetAlignVideoPortPrescaleWidth
// Description:     Returns the byte restriction of width after prescaling
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortCaps::
                                            FGetAlignVideoPortPrescaleWidth()
{
return fVideoPortCaps.dwAlignVideoPortPrescaleWidth;
}

// --------------------------------------------------------------------------
// Method:          FSetAlignVideoPortPrescaleWidth                             //added set
// Description:     Sets the byte restriction of width after prescaling
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortCaps::
                                    FSetAlignVideoPortPrescaleWidth( dword
                                            pAlignVideoPortPrescaleWidth )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetAlignVideoPortCropBoundary
// Description:     Returns the byte restriction of left cropping
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortCaps::
                                            FGetAlignVideoPortCropBoundary()
{
return fVideoPortCaps.dwAlignVideoPortCropBoundary;
}

// --------------------------------------------------------------------------
// Method:          FSetAlignVideoPortCropBoundary                              //added set
// Description:     Sets the byte restriction of left cropping
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortCaps::
                                        FSetAlignVideoPortCropBoundary( dword
                                                pAlignVideoPortCropBoundary )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetAlignVideoPortCropWidth
// Description:     Returns the byte restriction of cropping width
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortCaps::
                                                FGetAlignVideoPortCropWidth()
{
return fVideoPortCaps.dwAlignVideoPortCropWidth;
}

// --------------------------------------------------------------------------
// Method:          FSetAlignVideoPortCropWidth                                 //added set
// Description:     Sets the byte restriction of cropping width
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortCaps::
                                        FSetAlignVideoPortCropWidth( dword
                                                pAlignVideoPortCropWidth )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetPreShrinkXStep
// Description:     Returns the width that can be shrunk in the x direction
//                  in steps of 1/dwPreshrinkXStep
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortCaps::FGetPreShrinkXStep()
{
return fVideoPortCaps.dwPreshrinkXStep;
}

// --------------------------------------------------------------------------
// Method:          FSetPreShrinkXStep                                          //added set
// Description:     Sets the width that can be shrunk in the x direction
//                  in steps of 1/dwPreshrinkXStep
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortCaps::FSetPreShrinkXStep( dword
                                                            pPreShrinkXStep )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetPreShrinkYStep
// Description:     Returns the height that can be shrunk in the y direction
//                  in steps of 1/dwPreshrinkYStep
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortCaps::FGetPreShrinkYStep()
{
return fVideoPortCaps.dwPreshrinkYStep;
}

// --------------------------------------------------------------------------
// Method:          FSetPreShrinkYStep                                          //added set
// Description:     Sets the height that can be shrunk in the y direction
//                  in steps of 1/dwPreshrinkYStep
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortCaps::FSetPreShrinkYStep( dword
                                                            pPreShrinkYStep )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetNumVBIAutoFlipSurfaces
// Description:     Returns the number of autoflipping surfaces capable of
//                  receiving data transmitted during the vertical blanking
//                  interval (VBI) independent from the remainder of the
//                  video stream
// Note:            When constructing the autoflip chain, the number of VBI
//                  surfaces must equal the number of surfaces receiving the
//                  remainder of the video data
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortCaps::
                                                FGetNumVBIAutoFlipSurfaces()
{
return fVideoPortCaps.dwNumVBIAutoFlipSurfaces;
}

// --------------------------------------------------------------------------
// Method:          FSetNumVBIAutoFlipSurfaces                                  //added set
// Description:     Sets the number of autoflipping surfaces capable of
//                  receiving data transmitted during the vertical blanking
//                  interval (VBI) independent from the remainder of the
//                  video stream
// Note:            When constructing the autoflip chain, the number of VBI
//                  surfaces must equal the number of surfaces receiving the
//                  remainder of the video data
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortCaps::
                                            FSetNumVBIAutoFlipSurfaces( dword
                                                    pNumVBIAutoFlipSurfaces )
{
return;
}

// --------------------------------------------------------------------------

