// --------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

// ==========================================================================
// File:            TDDVideoPortConnect.CPP
// Description:
//
// (c) 1998 A.S.C. Alternate Software Concepts, Sydney, Australia.
// All Rights Reserved. Refer to the file TDirectX_Licence.Txt for detailed
// licence & copyright information.
// ==========================================================================

// --------------------------------------------------------------------------
// include the TDDBltBatch H file.
// --------------------------------------------------------------------------
#include "TDDVideoPortConnect.h"

// ==========================================================================
// Class:           TDDVideoPortConnect
// Description:     The TDDVideoPortConnect object describes a video port
//                  connection
// Note:            This object is used with the
//                  TDirectDrawVideoPortContainer::GetVideoPortConnectInfo
//                  method
// ==========================================================================

// --------------------------------------------------------------------------
// Constructor
// --------------------------------------------------------------------------
                    __fastcall  TDDVideoPortConnect::TDDVideoPortConnect()
                                                            : TPersistent()
{
fVideoPortConnect.dwSize = sizeof(DDVIDEOPORTCONNECT);
}

// --------------------------------------------------------------------------
// Destructor
// --------------------------------------------------------------------------
                    __fastcall  TDDVideoPortConnect::~TDDVideoPortConnect()
{
}

// --------------------------------------------------------------------------
// Method:          Size
// Description:     This returns the size of the internal DDVIDEOPORTCONNECT
//                  structure.
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortConnect::Size()
{
return sizeof(DDVIDEOPORTCONNECT);
}

// --------------------------------------------------------------------------
// Method:          Ptr
// Description:     This property returns a pointer to the internal
//                  DDVIDEOPORTCONNECT structure
// --------------------------------------------------------------------------
DDVIDEOPORTCONNECT* __fastcall  TDDVideoPortConnect::Ptr()
{
return &fVideoPortConnect;
}

// --------------------------------------------------------------------------
// Method:          FGetPortWidth
// Description:     Returns the width of the video port.
// Note:            This value represents the number of physical pins on the
//                  video port, not the width of a surface in memory. This
//                  member must always be set, even when the value in the
//                  TypeID property assumes a certain size
// --------------------------------------------------------------------------
dword               __fastcall TDDVideoPortConnect::FGetPortWidth()
{
return fVideoPortConnect.dwPortWidth;
}

// --------------------------------------------------------------------------
// Method:          FSetPortWidth                                               //added set
// Description:     Sets the width of the video port
// Note:            This value represents the number of physical pins on the
//                  video port, not the width of a surface in memory. This
//                  member must always be set, even when the value in the
//                  TypeID property assumes a certain size
// --------------------------------------------------------------------------
void                __fastcall TDDVideoPortConnect::FSetPortWidth( dword
                                                                pPortWidth )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetTypeID
// Description:     Returns a TDDVideoPortConnectGUID that describes the sync
//                  characteristics of the video port.
// --------------------------------------------------------------------------
GUID                __fastcall  TDDVideoPortConnect::FGetTypeID()
{
return fVideoPortConnect.guidTypeID;
}

// --------------------------------------------------------------------------
// Method:          FSetTypeID                                                  //added set
// Description:     Sets a TDDVideoPortConnectGUID that describes the sync
//                  characteristics of the video port.
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortConnect::FSetTypeID( GUID
                                                                    pTypeID )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetFlags
// Description:     Returns the flags describing the capabilities of the
//                  video-port connection
// Note:            This member can be set by DirectDraw when connection
//                  information is being retrieved or by the client when
//                  connection information is being set
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortConnect::FGetFlags()
{
return fVideoPortConnect.dwFlags;
}

// --------------------------------------------------------------------------
// Method:          FSetFlags                                                   //added set
// Description:     Sets the flags describing the capabilities of the
//                  video-port connection
// Note:            This member can be set by DirectDraw when connection
//                  information is being retrieved or by the client when
//                  connection information is being set
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortConnect::FSetFlags( dword
                                                                    pFlags )
{
return;
}

//---------------------------------------------------------------------------

