// --------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

// ==========================================================================
// File:            TDDVideoPortStatus.CPP
// Description:
//
// (c) 1998 A.S.C. Alternate Software Concepts, Sydney, Australia.
// All Rights Reserved. Refer to the file TDirectX_Licence.Txt for detailed
// licence & copyright information.
// ==========================================================================

// --------------------------------------------------------------------------
// include the TDDBltBatch H file.
// --------------------------------------------------------------------------
#include "TDDVideoPortStatus.h"

// ==========================================================================
// Class:           TDDVideoPortStatus
// Description:     This object describes the status of a video-port object
// Note:            This object is used with the
//                  TDirectDrawVideoPortContainer::QueryVideoPortStatus
//                  method
// ==========================================================================

// --------------------------------------------------------------------------
// Constructor
// --------------------------------------------------------------------------
                    __fastcall  TDDVideoPortStatus::TDDVideoPortStatus()
                                                            : TPersistent()
{
fVideoPortStatus.dwSize = sizeof(DDVIDEOPORTSTATUS);
}

// --------------------------------------------------------------------------
// Destructor
// --------------------------------------------------------------------------
__fastcall  TDDVideoPortStatus::~TDDVideoPortStatus()
{
}

// --------------------------------------------------------------------------
// Method:          Size
// Description:     This returns the size of the internal DDVIDEOPORTSTATUS
//                  structure.
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortStatus::Size()
{
return sizeof(DDVIDEOPORTSTATUS);
}

// --------------------------------------------------------------------------
// Method:          Ptr
// Description:     This method returns a pointer to the internal
//                  DDBLTBATCH structure.
// --------------------------------------------------------------------------
DDVIDEOPORTSTATUS*  __fastcall  TDDVideoPortStatus::Ptr()
{
return &fVideoPortStatus;
}

// --------------------------------------------------------------------------
// Method:          FGetInUse
// Description:     Returns a value indicating the current status of the
//                  video port
// Note:            This method returns TRUE if the video port is currently
//                  being used, and FALSE otherwise
// --------------------------------------------------------------------------
bool                __fastcall  TDDVideoPortStatus::FGetInUse()
{
return fVideoPortStatus.bInUse;
}

// --------------------------------------------------------------------------
// Method:          FSetInUse                                                   //added set
// Description:     Sets a value indicating the current status of the
//                  video port
// Note:            This method returns TRUE if the video port is currently
//                  being used, and FALSE otherwise
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortStatus::FSetInUse( bool pInUse )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetFlags
// Description:     Returns the video port control flags
// Note:            Not currently used
// --------------------------------------------------------------------------
dword               __fastcall  TDDVideoPortStatus::FGetFlags()
{
return fVideoPortStatus.dwFlags;
}

// --------------------------------------------------------------------------
// Method:          FSetFlags                                                   //added set
// Description:     Sets the video port control flags
// Note:            Not currently used
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortStatus::FSetFlags( dword pFlags )
{
return;
}

// --------------------------------------------------------------------------
// Method:          FGetVideoPortType                                           //added get
// Description:     Returns a TDDVideoPortConnect object that receives
//                  information about the video-port connection
// --------------------------------------------------------------------------
TDDVideoPortConnect* __fastcall TDDVideoPortStatus::FGetVideoPortType()
{
return NULL;
}

// --------------------------------------------------------------------------
// Method:          FSetVideoPortType
// Description:     Sets a TDDVideoPortConnect object that receives
//                  information about the video-port connection
// --------------------------------------------------------------------------
void                __fastcall  TDDVideoPortStatus::FSetVideoPortType(
                                        TDDVideoPortConnect* pVideoPortType )
{
if (pVideoPortType!=NULL) CopyMemory( &fVideoPortStatus.VideoPortType,
                            pVideoPortType->Ptr(), pVideoPortType->Size() );
}

//---------------------------------------------------------------------------

